Subject: Re: bug#61100: 29.0.60; `shell-command' displays all of *Shell Command Output* in the minibuffer

From: Eli Zaretskii <[email-masked]>
Date: Fri, 27 Jan 2023 21:56:17 +0200

> From: Reza Shafiei <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Fri, 27 Jan 2023 19:15:24 +0000
> msip_labels:
> 
> 
> > From: Eli Zaretskii <[email-masked]>
> >
> > I've now updated the documentation to describe this effect of
> > customizing that variable.  I think this fixes the discrepancy.
> 
> Yes, it does.  Thanks.
> 
> But is it really the intended/expected behavior?  I thought it is not;
> that's why I reported it.  I customize shell-command-dont-erase-buffer
> because I like to be able to see and compare the output of different
> commands in *Shell Command Output*, and refer to them later.
> 
> If it is the intended behavior, then now the documentation clarifies it.

I don't see how we can have the behavior you expected without a
complete redesign of how the output buffer and the text in it are
managed.  I won't object to such a redesign if someone wants to work
on that, but I also don't think it's very important to do that on
behalf of a minor feature such as shell-command-dont-erase-buffer.